Support » Theme: InfoWay » Parse error: syntax error, unexpected …themes/infoway/comments.php

  • After the content on my pages and post since making the change to 1.1.1 theme. I’ve tried the old and new version of comments.php and I get the same thing with both. If I go back to v.1 of the complete theme it goes away but the other issue comes back.

    Parse error: syntax error, unexpected ‘{‘ in X/wp-content/themes/infoway/comments.php on line 1

    BTW, love the theme so far.

Viewing 5 replies - 1 through 5 (of 5 total)
  • FYI, I removed the bit in comments.php with the error (The first bit before <!– You can start editing here. –> and I am working fine for now. I don’t usually have a need to password protect a post so it may be fixed for me but I wanted to point it out regardless.

    nyunyu

    (@nyunyu)

    Other than have to resort removing this part:

    [code]
    <?phpif (post_password_required()) { ?>
    <p class=”nocomments”><?php _e(‘This post is password protected. Enter the password to view comments.’, ‘infoway’); ?></p>
    <?php return; } ?>
    [/code]

    Is there any alternative way? I have the same problem.

    Moderator Andrew Nevins

    (@anevins)

    Forum moderator

    @nyunyu, you can discuss that in your own thread.

    nyunyu

    (@nyunyu)

    @andrew, I have the same issues as TS, have yet to see any solution apart from the obvious.

    Replace the code before <!-- You can start editing here. --> with

    <?php if ( post_password_required() ) : ?>
        <p class="nocomments"><?php _e( 'This post is password protected. Enter the password to view comments.', 'infoway' ); ?></p>
    <?php endif; ?>

Viewing 5 replies - 1 through 5 (of 5 total)
  • The topic ‘Parse error: syntax error, unexpected …themes/infoway/comments.php’ is closed to new replies.